Download it now!
Bug 116296 - [NEWHELP] Remove product version from help pages path when building offline case
Summary: [NEWHELP] Remove product version from help pages path when building offline case
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: New-Help
  Show dependency treegraph
 
Reported: 2018-03-08 16:57 UTC by Olivier Hallot
Modified: 2018-04-11 01:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2018-03-08 16:57:00 UTC
Presence of product version in offline help pages in HTML not desired. Remove from help path when building offline help.

e.g. change 
$install_dir/help/6.1/text/.....

to 

$install_dir/help/text/.....
Comment 1 Commit Notification 2018-03-14 08:53:01 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f72889643afb8596affeb5ba66a564f4368fab9

tdf#116296 remove produt version from help path

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-03-14 08:53:27 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=770c0c1746b5c0b94dc07d5f1d6c2c04802c8540

tdf#116296 remove produt version from help path